<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>xAPI Definitions Parser: xAPI_Definitions_Parser.Definitions.xAPIDefinitionsList&lt; T &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">xAPI Definitions Parser
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser.html">xAPI_Definitions_Parser</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_definitions.html">Definitions</a></li><li class="navelem"><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html">xAPIDefinitionsList</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">xAPI_Definitions_Parser.Definitions.xAPIDefinitionsList&lt; T &gt; Class Template Reference</div></div>
</div><!--header-->
<div class="contents">

<p>List of <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition.html" title="Class that represents an xAPI definition">xAPIDefinition</a> objects  
 <a href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:af2fd9154c0b6d2f0c8bcfe0fe0302a1d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html#af2fd9154c0b6d2f0c8bcfe0fe0302a1d">AddDefinition</a> (T definition)</td></tr>
<tr class="memdesc:af2fd9154c0b6d2f0c8bcfe0fe0302a1d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds a definition  <a href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html#af2fd9154c0b6d2f0c8bcfe0fe0302a1d">More...</a><br /></td></tr>
<tr class="separator:af2fd9154c0b6d2f0c8bcfe0fe0302a1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f526850f2bff234378598317bdab298"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html#a7f526850f2bff234378598317bdab298">AddDefinitions</a> (string name, <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html">xAPIDefinitionsList</a>&lt; T &gt; definitions)</td></tr>
<tr class="memdesc:a7f526850f2bff234378598317bdab298"><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds a list of sub definitions  <a href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html#a7f526850f2bff234378598317bdab298">More...</a><br /></td></tr>
<tr class="separator:a7f526850f2bff234378598317bdab298"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a7aa6b9316943e41b892f06c4a4a00974"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html#a7aa6b9316943e41b892f06c4a4a00974">Name</a><code> [get]</code></td></tr>
<tr class="memdesc:a7aa6b9316943e41b892f06c4a4a00974"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of the list  <a href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html#a7aa6b9316943e41b892f06c4a4a00974">More...</a><br /></td></tr>
<tr class="separator:a7aa6b9316943e41b892f06c4a4a00974"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f0d6910e28c2e09d33a56e73f0f13f2"><td class="memItemLeft" align="right" valign="top">IDictionary&lt; string, <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html">xAPIDefinitionsList</a>&lt; T &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html#a5f0d6910e28c2e09d33a56e73f0f13f2">SubDefinitions</a> = new Dictionary&lt;string, <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html">xAPIDefinitionsList</a>&lt;T&gt;&gt;()<code> [get]</code></td></tr>
<tr class="memdesc:a5f0d6910e28c2e09d33a56e73f0f13f2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sub lists of definitions  <a href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html#a5f0d6910e28c2e09d33a56e73f0f13f2">More...</a><br /></td></tr>
<tr class="separator:a5f0d6910e28c2e09d33a56e73f0f13f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c310642a957d39b4f327991ca92717f"><td class="memItemLeft" align="right" valign="top">List&lt; T &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html#a5c310642a957d39b4f327991ca92717f">Definitions</a> = new List&lt;T&gt;()<code> [get]</code></td></tr>
<tr class="memdesc:a5c310642a957d39b4f327991ca92717f"><td class="mdescLeft">&#160;</td><td class="mdescRight">List of definitions  <a href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html#a5c310642a957d39b4f327991ca92717f">More...</a><br /></td></tr>
<tr class="separator:a5c310642a957d39b4f327991ca92717f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >List of <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition.html" title="Class that represents an xAPI definition">xAPIDefinition</a> objects </p>
<dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">T</td><td>Type of definition</td></tr>
  </table>
  </dd>
</dl>
<div class="typeconstraint">
<dl><dt><b>Type Constraints</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em>T</em></td><td>&#160;:</td><td valign="top"><em><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition.html">xAPIDefinition</a></em></td><td>&#160;</td></tr>
</table>
</dd>
</dl>
</div>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="af2fd9154c0b6d2f0c8bcfe0fe0302a1d" name="af2fd9154c0b6d2f0c8bcfe0fe0302a1d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af2fd9154c0b6d2f0c8bcfe0fe0302a1d">&#9670;&nbsp;</a></span>AddDefinition()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html">xAPI_Definitions_Parser.Definitions.xAPIDefinitionsList</a>&lt; T &gt;.AddDefinition </td>
          <td>(</td>
          <td class="paramtype">T&#160;</td>
          <td class="paramname"><em>definition</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Adds a definition </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">definition</td><td>Definition</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>True, if it was successfully added, false, if not</dd></dl>

</div>
</div>
<a id="a7f526850f2bff234378598317bdab298" name="a7f526850f2bff234378598317bdab298"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7f526850f2bff234378598317bdab298">&#9670;&nbsp;</a></span>AddDefinitions()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html">xAPI_Definitions_Parser.Definitions.xAPIDefinitionsList</a>&lt; T &gt;.AddDefinitions </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html">xAPIDefinitionsList</a>&lt; T &gt;&#160;</td>
          <td class="paramname"><em>definitions</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Adds a list of sub definitions </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>Name of the list</td></tr>
    <tr><td class="paramname">definitions</td><td><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_definitions.html">Definitions</a></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Number of added definitions</dd></dl>

</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a id="a5c310642a957d39b4f327991ca92717f" name="a5c310642a957d39b4f327991ca92717f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c310642a957d39b4f327991ca92717f">&#9670;&nbsp;</a></span>Definitions</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">List&lt;T&gt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html">xAPI_Definitions_Parser.Definitions.xAPIDefinitionsList</a>&lt; T &gt;.Definitions = new List&lt;T&gt;()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>List of definitions </p>

</div>
</div>
<a id="a7aa6b9316943e41b892f06c4a4a00974" name="a7aa6b9316943e41b892f06c4a4a00974"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7aa6b9316943e41b892f06c4a4a00974">&#9670;&nbsp;</a></span>Name</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html">xAPI_Definitions_Parser.Definitions.xAPIDefinitionsList</a>&lt; T &gt;.Name</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name of the list </p>

</div>
</div>
<a id="a5f0d6910e28c2e09d33a56e73f0f13f2" name="a5f0d6910e28c2e09d33a56e73f0f13f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5f0d6910e28c2e09d33a56e73f0f13f2">&#9670;&nbsp;</a></span>SubDefinitions</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">IDictionary&lt;string, <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html">xAPIDefinitionsList</a>&lt;T&gt; &gt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html">xAPI_Definitions_Parser.Definitions.xAPIDefinitionsList</a>&lt; T &gt;.SubDefinitions = new Dictionary&lt;string, <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html">xAPIDefinitionsList</a>&lt;T&gt;&gt;()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Sub lists of definitions </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>xAPI Definitions Parser/Definitions/<a class="el" href="x_a_p_i_definitions_list_8cs.html">xAPIDefinitionsList.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
